org.apache.hc.client5.http.impl.logging

## Class LoggingSocketHolder

- java.lang.Object
- - org.apache.hc.core5.http.impl.io.SocketHolder
  - - org.apache.hc.client5.http.impl.logging.LoggingSocketHolder

    public class LoggingSocketHolder
    extends org.apache.hc.core5.http.impl.io.SocketHolder

### Constructor Summary

Constructors
Constructor and Description
`LoggingSocketHolder(Socket socket, String id, org.apache.logging.log4j.Logger log)`

### Method Summary

Methods
`protected InputStream` `getInputStream(Socket socket)`
`protected OutputStream` `getOutputStream(Socket socket)`

### Methods inherited from class org.apache.hc.core5.http.impl.io.SocketHolder

`getInputStream, getOutputStream, getSocket, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LoggingSocketHolder

    public LoggingSocketHolder(Socket socket,
                       String id,
                       org.apache.logging.log4j.Logger log)

### Method Detail

#### getInputStream

    protected InputStream getInputStream(Socket socket)
                                  throws IOException

Overrides:
  `getInputStream` in class `org.apache.hc.core5.http.impl.io.SocketHolder`
Throws:
  `IOException`

#### getOutputStream

    protected OutputStream getOutputStream(Socket socket)
                                    throws IOException

Overrides:
  `getOutputStream` in class `org.apache.hc.core5.http.impl.io.SocketHolder`
Throws:
  `IOException`